summaryrefslogtreecommitdiffstats
path: root/source/l/gtk+3
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtk+3')
-rw-r--r--source/l/gtk+3/doinst.sh7
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild16
2 files changed, 14 insertions, 9 deletions
diff --git a/source/l/gtk+3/doinst.sh b/source/l/gtk+3/doinst.sh
index da33a4e8d..55dae32d5 100644
--- a/source/l/gtk+3/doinst.sh
+++ b/source/l/gtk+3/doinst.sh
@@ -21,11 +21,16 @@ rm -f etc/gtk-3.0/gtkrc.new
chroot . rm -f /usr/share/icons/*/icon-theme.cache 1> /dev/null 2> /dev/null
-# Run this if we are on an installed system. Otherwise it will be
+# Run these if we are on an installed system. Otherwise they will be
# handled on first boot.
if [ -x /usr/bin/update-gtk-immodules-3.0 ]; then
/usr/bin/update-gtk-immodules-3.0
fi
+if [ -e /usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
# In case this is the first run installing the standalone gdk-pixbuf,
# we will run this a second time to fix machines that will not reboot.
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index 55a69bcac..6e97fbdbf 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -22,14 +22,14 @@
VERSION=${VERSION:-$(echo gtk+-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -40,8 +40,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-gtk3
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -74,7 +74,7 @@ autoreconf -vif
# Autoconf changes linux to linux-gnu.
# Our host is $ARCH-slackware-linux not $ARCH-slackware-linux-gnu:
-sed -i -e 's#linux|linux-gnu|#linux|linux|#' config.sub
+sed -i -e 's#linux|linux-gnu|#linux|linux|#' build-aux/config.sub
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -83,8 +83,8 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--mandir=/usr/man \
--enable-xkb \
- --enable-packagekit=no \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
# --enable-gtk-doc-html=no \
make $NUMJOBS || make || exit 1
@@ -105,7 +105,7 @@ echo 'gtk-theme-name="Adwaita"' > $PKG/etc/gtk-3.0/gtkrc.new
# We need to have separate 32-bit and 64-bit binaries
# for places where we have two copies of the GTK+ package installed.
-# (we might have x86_64 and i486 packages on the same system, for example.)
+# (we might have x86_64 and i586 packages on the same system, for example.)
case "$host" in
s390x*|x86_64*)
mv $PKG/usr/bin/gtk-query-immodules-3.0{,-64}